//------------------------------------------------------------------
#property copyright "free code"
#property link      "free code"
//+------------------------------------------------------------------
#property indicator_separate_window
#property  indicator_buffers 2
#property  indicator_color1  Gold
#property  indicator_color2  Magenta
#property  indicator_level1  70
#property  indicator_level2  50
#property  indicator_level3  30

//
//
//
//
//

extern int Rsi1Period = 26;
extern int Rsi1Price  = PRICE_CLOSE;
extern int Ma1Period  = 30;
extern int Ma1Method  = MODE_LWMA;
extern int Rsi2Period = 14;
extern int Ma2Period  = 14;
extern int Ma2Method  = MODE_SMA;

//
//
//
//
//

double rsi2[];
double rsi1[];
double ma1[];
double ma2[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   IndicatorBuffers(4);
      SetIndexBuffer(0,rsi2);
      SetIndexBuffer(1,ma2);
      SetIndexBuffer(2,rsi1);
      SetIndexBuffer(3,ma1);
   IndicatorShortName("rsi + ma combination ("+Rsi1Period+","+Ma1Period+","+Rsi2Period+","+Ma2Period+")");
   return(0);
}
int deinit() { return(0); }


//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int i,limit = MathMin(Bars-counted_bars,Bars-1);
         
   //
   //
   //
   //
   //
            
   for(i=limit; i>=0; i--) rsi1[i] = iRSI(NULL,0,Rsi1Period,Rsi1Price,i);
   for(i=limit; i>=0; i--) ma1[i]  = iMAOnArray(rsi1,0,Ma1Period,0,Ma1Method,i);
   for(i=limit; i>=0; i--) rsi2[i] = iRSIOnArray(ma1,0,Rsi2Period,i);
   for(i=limit; i>=0; i--) ma2[i]  = iMAOnArray(rsi2,0,Ma2Period,0,Ma2Method,i);
   return(0);
}